#!/bin/sh

# Volumes
MIFOSX_CONF="${VOLUMES_DIR}/mifosx/mifosx_conf"

# Start MariaDB container if needed
if [ "$(spoc-container status mifosx-mariadb)" != "RUNNING" ]; then
    STOP_MARIADB=1
    spoc-container start mifosx-mariadb
fi

# Replacements
sed -i "s|\(^\s\+proxyName=\).*|\1\"${HOST}\"|" ${MIFOSX_CONF}/server.xml
sed -i "s|\(^\s\+proxyPort=\).*|\1\"${PORT}\"|" ${MIFOSX_CONF}/server.xml

QUERY="UPDATE \`c_external_service_properties\` SET \`value\` = '${EMAIL}' WHERE \`external_service_id\` = 2 and \`name\` LIKE 'username'"
spoc-container exec mifosx-mariadb -- mysql -e "${QUERY}" mifostenant-default

# Stop MariaDB container if needed
if [ -n "${STOP_MARIADB}" ]; then
    echo spoc-container stop mifosx-mariadb
fi
